package com.ufo.hy.agumaster.ctrl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.ufo.hy.agumaster.dao.StockMapper;
import com.ufo.hy.agumaster.entity.Stock;

@Controller
public class ActionController {
	@Autowired
	private StockMapper stockMapper=null;
	
	/**
	 * 
	 * @param m:model
	 * @param pageNo:page number
	 * @param pageSize:how many records in a page
	 * @param keyword:key word
	 * @return
	 */
	@RequestMapping("/liststock")
	public String liststock(Model m,@RequestParam(value="pageNo",defaultValue="0") int pageNo,
			                           @RequestParam(value="pageSize",defaultValue="20") int pageSize,
			                           @RequestParam(value="keyword",defaultValue="") String keyword) {
		
		int start=pageNo*pageSize;
		int end=start+pageSize;
		List<Stock> list=stockMapper.pagedSearch(start, end,keyword);
		m.addAttribute("list", list);
		
		int count=stockMapper.getPagedSearchCount(keyword);
		int pageCount=count/pageSize;
		m.addAttribute("pageCount", pageCount);

		m.addAttribute("pageNo", pageNo);
		
		return "liststock";
	}
}
