package com.ufo.hy.agumaster.dao;

import java.util.List;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;

import com.ufo.hy.agumaster.entity.Stock;

@Mapper
public interface StockMapper {

	/**
	 * Paged search stocks
	 * @param start:Start line
	 * @param end: End line
	 * @param keyword: Search keyword
	 * @return
	 */
	@SelectProvider(type=StockSql.class,method="pagedSearch")
	List<Stock> pagedSearch(int start,int end,String keyword);
	
	/**
	 * get all records' count of pagedSearch
	 * @param keyword
	 * @return
	 */
	@Select("select count(*) from hy_stock where name like '%${keyword}%' or code like '%${keyword}%' ")
	int getPagedSearchCount(@Param("keyword") String keyword);
	
	@Insert("insert into hy_stock(id,code,name) values(#{id},#{code},#{name})")
	int insert(Stock s);
}
