package com.ufo.hy.agumaster.tool;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class CodeNameCrawler {
	private final static Logger log = LoggerFactory.getLogger(CodeNameCrawler.class);
	
	public static void main(String[] args) {
		// Proxyconfiguration
        System.setProperty("http.proxyHost", "pkg.proxy.prod.jp.local");
        System.setProperty("http.proxyPort", "10080");
        
		String url = "http://app.finance.ifeng.com/list/stock.php?t=hs";
        String encoding ="utf-8";
        String html = getHTMLResourceByUrl(url,encoding);
        System.out.println(html);
	}
	
	//获取html
    public static String getHTMLResourceByUrl(String url,String encoding){
        StringBuffer sb = new StringBuffer();
        URL urlObj =null;
        URLConnection openConnection =null;
        InputStreamReader isr = null;
        BufferedReader br = null;
        try {
             urlObj = new URL(url);
            openConnection = urlObj.openConnection();
            isr = new InputStreamReader(openConnection.getInputStream(),encoding);
            //建立文件缓冲流
             br = new BufferedReader(isr);
            //建立临时文件
            String temp = null;
            while((temp=br.readLine())!=null){
                sb.append(temp+"\n");
            }
        } catch (MalformedURLException e) {
            // TODO Auto-generated catch block
            log.error("error message", e);
        } catch (IOException e) {
            // TODO Auto-generated catch block
            log.error("error message", e);
        }finally{
            try {
                if(isr !=null){
                    isr.close();
                }
            } catch (IOException e) {
                // TODO Auto-generated catch block
                log.error("error message", e);
            }
        }
        return sb.toString();
    }
}
